WITH ItemsTable (ItemPath, ID, Name, TemplateID, MasterID, ParentID, Created, Updated)
    AS
    (
        SELECT CAST('/' + base.Name AS nvarchar(MAX)) as ItemPath,
            base.ID, base.Name, base.TemplateID, base.MasterID, base.ParentID, base.Created, base.Updated

        FROM Items as base
        WHERE base.ID = '11111111-1111-1111-1111-111111111111'

        UNION ALL

        SELECT CAST(ItemPath + '/' + child.Name AS nvarchar(MAX)),
            child.ID, child.Name, child.TemplateID, child.MasterID, child.ParentID, child.Created, child.Updated

        FROM ItemsTable as parent
        INNER JOIN Items as child
            ON child.ParentID = parent.ID

            UNION ALL

        SELECT CAST(ItemPath + '/' + archived.Name AS nvarchar(MAX)),
            archived.ItemId, archived.Name, archived.TemplateID, archived.MasterID, archived.ParentID, archived.Created, archived.Updated

        FROM ItemsTable as parent
        INNER JOIN ArchivedItems as archived
            ON archived.ParentID = parent.ID
    )
    SELECT ItemPath, ItemsTable.ID, Name, PublishQueue.Action, PublishQueue.Date
    FROM PublishQueue PublishQueue
    INNER JOIN ItemsTable ON PublishQueue.ItemID = ItemsTable.ID
    WHERE ItemPath LIKE ? AND [Action] IN ('Created', 'VersionAdded', 'Deleted', 'Saved')
    AND Date > ?
    ORDER BY ItemPath DESC, Date
    OFFSET ? * (? - 1) ROWS
    FETCH NEXT ? ROWS ONLY;